import { cn } from "@/lib/utils"

interface PageTitleProps {
    title: string
}

const AddSpacing = (text: string) : string => {
    let result = "";
    for (let index = 0; index < text.length; index++) {
        const element = text.charAt(index);
        result += " " + element;
    }
    return result;
}

const PageTitle = (props: PageTitleProps)=>{
    const title = AddSpacing(props.title);
    return(
        <h1 className={cn("text-4xl drop-shadow-xl text-shadow tracking-widest text-eth")}>{title}</h1>
    );
}

export default PageTitle;